Read-only preview
You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
SVM Tokens
Account Owner Lookup
Returns owner address of an associated token account (ATA) with closure status.
GET
https://token-api.service.pinax.network/v1/svm/owner
Requires bearer token — sign in to inject your team’s key.
Supported networks (1)
Required parameters
| Name | Type | Description |
|---|---|---|
networkrequired query | Enum · 1 | The Graph Network ID for SVM networks https://thegraph.com/networks solana e.g. solana |
accountrequired query | string | Filter by token account address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. 5UZfa66rzeDpD9wKs3Sn3iewmavxYvpAtiF2Lqd2n1wW |
Optional parameters
| Name | Type | Description |
|---|---|---|
limit query | integer | Number of items* returned in a single request. *Plan restricted. |
page query | integer | Page number to fetch. Empty `data` array signifies end of results. |
Response
200 OK{ "data": [ { "last_update": "2025-07-14 17:17:19", "last_update_block_num": 353288878, "last_update_timestamp": 1752513439, "account": "5UZfa66rzeDpD9wKs3Sn3iewmavxYvpAtiF2Lqd2n1wW", "owner": "GXYBNgyYKbSLr938VJCpmGLCUaAHWsncTi7jDoQSdFR9", "is_closed": false, "network": "solana" } ] }